معالجات الإشعارات

GET https://bio.dl1s.co/api/notification-handlers/
curl --request GET \
--url 'https://bio.dl1s.co/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات التفاصيل الوصف
search اختياري نصي نص البحث.
search_by اختياري نصي الحقل الذي تبحث من خلاله. القيم المسموحة: name.
is_enabled اختياري منطقي
type اختياري نصي الحقل الذي تبحث من خلاله. القيم المسموحة: email, webhook, slack, discord, telegram, microsoft_teams.
datetime_field اختياري نصي القيم المسموحة: datetime, last_datetime
datetime_start اختياري نصي تصفية النتائج بدءًا من هذا التاريخ والوقت. بصيغة Y-m-d H:i:s.
datetime_end اختياري نصي تصفية النتائج حتى هذا التاريخ والوقت. بصيغة Y-m-d H:i:s.
order_by اختياري نصي الحقل الذي يتم ترتيب النتائج بناءً عليه. القيم المسموحة: notification_handler_id, datetime, last_datetime, name.
order_type اختياري نصي ترتيب النتائج. القيم المسموحة: ASC للترتيب التصاعدي وDESC للترتيب التنازلي.
search اختياري نصي نص البحث.
search_by اختياري نصي الحقل الذي تبحث من خلاله. القيم المسموحة: name.
is_enabled اختياري منطقي
type اختياري نصي الحقل الذي تبحث من خلاله. القيم المسموحة: email, webhook, slack, discord, telegram, microsoft_teams.
datetime_field اختياري نصي القيم المسموحة: datetime, last_datetime
datetime_start اختياري نصي تصفية النتائج بدءًا من هذا التاريخ والوقت. بصيغة Y-m-d H:i:s.
datetime_end اختياري نصي تصفية النتائج حتى هذا التاريخ والوقت. بصيغة Y-m-d H:i:s.
order_by اختياري نصي الحقل الذي يتم ترتيب النتائج بناءً عليه. القيم المسموحة: notification_handler_id, datetime, last_datetime, name.
order_type اختياري نصي ترتيب النتائج. القيم المسموحة: ASC للترتيب التصاعدي وDESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي تريد النتائج منها. الافتراضي 1.
results_per_page اختياري عدد صحيح عدد النتائج المطلوبة لكل صفحة. القيم المسموحة: 10, 25, 50, 100, 250, 500, 1000. الافتراضي 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-06-27 12:57:56",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://bio.dl1s.co/api/notification-handlers?page=1",
        "last": "https://bio.dl1s.co/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://bio.dl1s.co/api/notification-handlers?page=1"
    }
}
GET https://bio.dl1s.co/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://bio.dl1s.co/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-06-27 12:57:56",
    }
}
POST https://bio.dl1s.co/api/notification-handlers
المعلمات التفاصيل الوصف
name مطلوب نصي -
type مطلوب نصي القيم المسموحة: email, webhook, slack, discord, telegram, microsoft_teams
email اختياري نصي متاح عندما: type = email البريد الإلكتروني
webhook اختياري نصي متاح عندما: type = webhook رابط Webhook
slack اختياري نصي متاح عندما: type = slack رابط Slack webhook
discord اختياري نصي متاح عندما: type = discord رابط Discord webhook
telegram اختياري نصي متاح عندما: type = telegram رمز Telegram API
telegram_chat_id اختياري نصي متاح عندما: type = telegram معرف Telegram Chat
microsoft_teams اختياري نصي متاح عندما: type = microsoft_teams رابط Microsoft Teams webhook
curl --request POST \
--url 'https://bio.dl1s.co/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1
    }
}
POST https://bio.dl1s.co/api/notification-handlers/{notification_handler_id}
المعلمات التفاصيل الوصف
name اختياري نصي -
type اختياري نصي القيم المسموحة: email, webhook, slack, discord, telegram, microsoft_teams
email اختياري نصي متاح عندما: type = email البريد الإلكتروني
webhook اختياري نصي متاح عندما: type = webhook رابط Webhook
slack اختياري نصي متاح عندما: type = slack رابط Slack webhook
discord اختياري نصي متاح عندما: type = discord رابط Discord webhook
telegram اختياري نصي متاح عندما: type = telegram رمز Telegram API
telegram_chat_id اختياري نصي متاح عندما: type = telegram معرف Telegram Chat
microsoft_teams اختياري نصي متاح عندما: type = microsoft_teams رابط Microsoft Teams webhook
is_enabled اختياري منطقي -
curl --request POST \
--url 'https://bio.dl1s.co/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://bio.dl1s.co/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://bio.dl1s.co/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \